#!/bin/bash

MYDIR=$(dirname $0)
MYDIR=$(readlink -f $MYDIR)
. "${MYDIR}/functions.sh"

TEMPDIR=$(mktemp -d)
pushd "$TEMPDIR" > /dev/null

wget http://firmware.paderborn.freifunk.net/stable/build_info.txt -o "${MYDIR}/versions/stable"
wget http://firmware.paderborn.freifunk.net/stable/images.7z || abort "Failed to download 'images.7z'."

7z e images.7z || abort "Failed to extract firmware."

popd > /dev/null
pushd "$MYDIR" > /dev/null

CANDIDATE="$TEMPDIR" ./check.sh

popd > /dev/null

